umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_entity.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/umlmodel/entity.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLEntity_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLEntity_t | qt_meta_stringdata_UMLEntity
static const uint | qt_meta_data_UMLEntity []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLEntity_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_UMLEntity_t
Definition: moc_entity.cpp:24

## Variable Documentation

## ◆ qt_meta_data_UMLEntity

const uint qt_meta_data_UMLEntity[]
| static

## ◆ qt_meta_stringdata_UMLEntity

const qt_meta_stringdata_UMLEntity_t qt_meta_stringdata_UMLEntity
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 9),
QT_MOC_LITERAL(1, 10, 20),
QT_MOC_LITERAL(2, 31, 0),
QT_MOC_LITERAL(3, 32, 22),
QT_MOC_LITERAL(4, 55, 22),
QT_MOC_LITERAL(5, 78, 21),
QT_MOC_LITERAL(6, 100, 23),
QT_MOC_LITERAL(7, 124, 26)
},
"UMLEntity\0entityAttributeAdded\0\0"
"UMLClassifierListItem*\0entityAttributeRemoved\0"
"entityConstraintAdded\0entityConstraintRemoved\0"
"slotEntityAttributeRemoved"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_entity.cpp:28